repo/proj/guru:dev commit in: app-dicts/dialect/
Björn Ferson <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786284165.cd753d0fb838e72714e9b3d46e6f4d92377fcdd0.bjorn.megaflow@gentoo> |
commit: cd753d0fb838e72714e9b3d46e6f4d92377fcdd0
Author: Bjorn Ferson <bjorn.megaflow <AT> gmail <DOT> com>
AuthorDate: Sun Aug 9 14:01:24 2026 +0000
Commit: Björn Ferson <bjorn.megaflow <AT> gmail <DOT> com>
CommitDate: Sun Aug 9 14:02:45 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=cd753d0f
app-dicts/dialect: New package
Signed-off-by: Bjorn Ferson <bjorn.megaflow <AT> gmail.com>
app-dicts/dialect/Manifest | 2 +
app-dicts/dialect/dialect-2.6.1.ebuild | 76 ++++++++++++++++++++++++++++++++++
app-dicts/dialect/metadata.xml | 11 +++++
3 files changed, 89 insertions(+)
diff --git a/app-dicts/dialect/Manifest b/app-dicts/dialect/Manifest
new file mode 100644
index 0000000000..24b97d0e11
--- /dev/null
+++ b/app-dicts/dialect/Manifest
@@ -0,0 +1,2 @@
+DIST dialect-2.6.1-po.tar.gz 463642 BLAKE2B 620af150974086f7b015aff7a89d6c3240dbe8eeaf358310f6b40007037281bbbd618de4132e02d2f74663125d36b4e3e0fd668472b84e541bf03c332289fc86 SHA512 89edb97be1594da4f0055a87d9440ba05a222d69c7875ba7f5d3e1def87c0dc7650ee932077f6b0c3c96d3b90c7398ec4cd176fb0bb93015d3aaf439b2e98295
+DIST dialect-2.6.1.tar.gz 158680 BLAKE2B 3692947e153cb0e7024d86cc1c7504799cd7c66296690ad045f05ead95912cb1d05e505fb30e1b3e8b98fc183779d52106bfade6ce5406d80f2173b1e883715e SHA512 8e92f8c85a9ee37f4ef66ae69771f103ca984d669faa97d4d5a981c53d65073fc342f8468f483d8e91df5dc10db1d2811226448add87b40c9b05d2c566d3e24f
diff --git a/app-dicts/dialect/dialect-2.6.1.ebuild b/app-dicts/dialect/dialect-2.6.1.ebuild
new file mode 100644
index 0000000000..5917c987e5
--- /dev/null
+++ b/app-dicts/dialect/dialect-2.6.1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{12..15} )
+inherit meson xdg python-single-r1
+
+DESCRIPTION="A translation app for GNOME"
+HOMEPAGE="https://github.com/dialect-app/dialect"
+SRC_URI="
+ https://github.com/dialect-app/dialect/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/dialect-app/po/archive/refs/tags/${PV}.tar.gz -> ${P}-po.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+IUSE="${PYTHON_IUSE}"
+
+DEPEND="
+ ${PYTHON_DEPS}
+ dev-libs/glib:2
+ >=dev-libs/gobject-introspection-1.35.0
+ >=media-libs/gstreamer-1.18
+ >=gui-libs/gtk-4.17.5:4
+ >=gui-libs/libadwaita-1.7:1
+ net-libs/libsoup:3.0
+ app-text/libspelling:1
+ "
+RDEPEND="
+ ${DEPEND}
+ $(python_gen_cond_dep '
+ >=dev-python/pygobject-3.51:3[${PYTHON_USEDEP}]
+ >=dev-python/beautifulsoup4-4.14.3[${PYTHON_USEDEP}]
+ >=dev-python/certifi-2026.4.22[${PYTHON_USEDEP}]
+ >=dev-python/charset-normalizer-3.4.7[${PYTHON_USEDEP}]
+ >=dev-python/click-8.1.8[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ >=dev-python/gtts-2.5.4[${PYTHON_USEDEP}]
+ >=dev-python/idna-3.14[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.33.1[${PYTHON_USEDEP}]
+ >=dev-python/soupsieve-2.8.3[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.15.0[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-2.7.0[${PYTHON_USEDEP}]
+ ')
+"
+
+BDEPEND="
+ sys-devel/gettext
+ virtual/pkgconfig
+ dev-util/blueprint-compiler
+"
+
+src_prepare() {
+ default
+ xdg_environment_reset
+
+ rm -rf po || die
+ mv "${WORKDIR}/po-${PV}" "${S}/po" || die
+}
+
+src_configure() {
+ python_setup
+
+ local emesonargs=(
+ -Dprofile=default
+ )
+ meson_src_configure
+}
+src_install() {
+ #DESTDIR="${D}" meson_src_install
+ meson_src_install
+ python_fix_shebang "${ED}/usr/bin/dialect"
+ python_optimize "${ED}/usr/share/dialect"
+}
diff --git a/app-dicts/dialect/metadata.xml b/app-dicts/dialect/metadata.xml
new file mode 100644
index 0000000000..ce632b2201
--- /dev/null
+++ b/app-dicts/dialect/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ <name>Björn</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">dialect-app/dialect</remote-id>
+ </upstream>
+</pkgmetadata>